TikTok
TikTok is a direct platform namespace with one of the broadest raw route families in FairCrawl today.
Live route family
/v1/crawl/tiktok/profile/v1/crawl/tiktok/videos/v1/crawl/tiktok/video- raw REST routes also cover
audience,transcript,comments,followers,following,search_*,trending, and TikTok Shop endpoints
Example
Read a creator profile
```bash
curl 'https://api.faircompany.ai/v1/crawl/tiktok/profile?handle=nike' \
-H "Authorization: Bearer fc_live_xxx"
```
```ts
const profile = await fc.tiktok.profile({
handle: "nike",
});
console.log(profile.handle);
console.log(profile.followers);
```
```python
import httpx
import os
api_key = os.environ.get("FAIRCRAWL_API_KEY", "fc_live_xxx")
response = httpx.get(
"https://api.faircompany.ai/v1/crawl/tiktok/profile",
headers={"Authorization": f"Bearer {api_key}"},
params={"handle": "nike"},
timeout=30,
)
response.raise_for_status()
print(response.json()["handle"])
```
```json
{
"tool": "faircrawl_research",
"arguments": {
"query": "nike TikTok profile",
"sources": ["tiktok"],
"limit": 5
}
}
```
Notes
- the TypeScript SDK wraps
profile,videos, andvideo - use raw REST for the long-tail TikTok actions that are not wrapped yet
- the MCP surface reaches TikTok through source-filtered
/researchtoday